Page MenuHomePhabricator

Wire up reload button and reloading logic
Closed, ResolvedPublic

Description

  • the reload button added to the ErrorUnknown component (T249123) should trigger the reloading logic added earlier (T249118)
    • when emitting the event from ErrorUnknown be sure to document this fact in storybook (currently its docs are completely empty)
  • browser tests

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2020, 3:09 PM
Pablo-WMDE updated the task description. (Show Details)Apr 9 2020, 10:49 AM
Pablo-WMDE moved this task from To do to Doing on the Wikidata-Bridge-Sprint-18 board.

Change 587758 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: relaunch bridge from ErrorUnknown

https://gerrit.wikimedia.org/r/587758

Change 591863 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: selenium: move error handling test to dedicated spec

https://gerrit.wikimedia.org/r/591863

Change 591869 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: selenium: assert loading is shown at first

https://gerrit.wikimedia.org/r/591869

Change 592255 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: selenium: distinguish between error types

https://gerrit.wikimedia.org/r/592255

Change 591863 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: selenium: move error handling test to dedicated spec

https://gerrit.wikimedia.org/r/591863

Change 592255 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: selenium: distinguish between error types

https://gerrit.wikimedia.org/r/592255

Change 587758 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: relaunch bridge from ErrorUnknown

https://gerrit.wikimedia.org/r/587758

Pablo-WMDE closed this task as Resolved.Apr 28 2020, 10:09 AM
Pablo-WMDE moved this task from Peer Review to Done on the Wikidata-Bridge-Sprint-18 board.

Change 591869 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: selenium: assert loading is shown at first

https://gerrit.wikimedia.org/r/591869